package boxes.AlphabetizerAbs.Alphabetizer;

import datatypes.systems.*;
import interfaces.IStoreHelper;
import interfaces.ILine;
import datatypes.Word;
import datatypes.LStore;

public class IlnImp implements ILine 
{
	private BoxTop _box;
	private IStoreHelper ial;
	private LStore store;
	
	public IlnImp(BoxTop mybox)
	{
		_box = mybox;
	}

	public int getTotalLineNo()
	{
		init();
		return store.size();
	}
	
	public Word [] getLine(int lineno)
	{
		init();
		return store.get(lineno);
	}
	
	/////////////////////private
	private void init()
	{
		// pass the ref of store from the implementation of IAlphabetize to this class
		InterfaceName name = new InterfaceName("Iap");
		store = ((IStoreHelper)_box.getProvidedItf(name)).getStoreRef();
	}	
}