package boxes.CircularShifterAbs.CircularShifter;

import datatypes.systems.*;
import interfaces.ILine;
import interfaces.ICircularShift;
import interfaces.IStoreHelper;
import datatypes.Word;
import datatypes.LStore;

public class LineImp implements ILine
{
	//provided interfaces IAccessLines ln, 
	
	private BoxTop _box;
	private ILine ias;
	private LStore store;
	
	public LineImp(BoxTop mybox)
	{
		_box = mybox;
		
	}
	
	public int getTotalLineNo()
	{
		init();
		return store.size();
	}
	
	public Word [] getLine(int lineno)
	{
		init();
		return store.get(lineno);
	}
	/////////////////////////////////////////////
	private void init()
	{
		// set for required interfaces
		// ILine ws;
		InterfaceName name = new InterfaceName("ws");
		ias = (ILine)_box.getRequiredItf(name);
		
		name = new InterfaceName("ccs");
		store = ((IStoreHelper)_box.getProvidedItf(name)).getStoreRef();
	}
	
}
