package boxes.LineStorageAbs.LineStorage;
import java.util.*;
import datatypes.systems.*;
import interfaces.IAccessLineStore;
import datatypes.LStore;
import datatypes.Word;

public class AccessImpl implements IAccessLineStore 
{
	
	private BoxTop _box;
	private LStore store;
	
	public AccessImpl(BoxTop mybox)
	{
		_box = mybox;
		store = new LStore();	
	}

	public void addLine(int lineno, Word [] words)
	{
		store.add(lineno, words);
	}
	
	public int getTotalLineNo()
	{
		return store.size();
	}
	
	public Word [] getLine(int lineno)
	{
		return store.get(lineno);
	}
	
}