package boxes.WordWrapperAbs.WordWrapper;

import java.util.StringTokenizer;

import interfaces.IToWordArray;
import datatypes.systems.*;
import datatypes.Word;

public class TwaImp implements IToWordArray
{
	private BoxTop _box;
	
	public TwaImp(BoxTop mybox)
	{	_box = mybox;
	}
	
	public Word [] strToWords(String input)
	{ 
		StringTokenizer tok = new StringTokenizer(input); 
		Word [] wds = null;
		int line = 0;
		
		int size = tok.countTokens();
        	if(size > 0)
         		wds = new Word[size];
        	while(tok.hasMoreTokens())
         		wds[line++] = new Word(tok.nextToken());
         	return wds;
	}
	
	public String wordsToString(Word [] words)
	{
		String wd = "";
		for (int i = 0; i<words.length; i++)
		{
			if (words[i].getValue() instanceof String)
				wd += (String)(words[i].getValue())+ " ";
			else
				wd += (words[i].getValue()).toString() + " ";
		}
		return wd;
	}
}