package datatypes.systems;

public class BoxTop
{
	InterfaceDsc pItfDsc;
	InterfaceDsc rItfDsc;
	
        public BoxTop()
	{
		pItfDsc = new InterfaceDsc();
		rItfDsc = new InterfaceDsc();
	}
	
	public void setProvInterfaceDsc(InterfaceDsc pItfDsc)
	{
		this.pItfDsc = pItfDsc;	
	}
	
	public void setRequInterfaceDsc(InterfaceDsc rItfDsc)
	{
		this.rItfDsc = rItfDsc;	
	}
	
	public Object getProvidedItf(InterfaceName iname)
	{
		return pItfDsc.getInterfaceRef(iname);
	}
	
	public Object getRequiredItf(InterfaceName iname)
	{
		return rItfDsc.getInterfaceRef(iname);
	}
	
	public void setRequiredItf(InterfaceName iname, Object objRef)
	{
		rItfDsc.setInterfaceRef(iname, objRef);
	}
	
	
}
